## med-fichier 3.0.6

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8 FATAL_ERROR)
PROJECT(med CXX C)
ENABLE_LANGUAGE(Fortran OPTIONAL)

SET(MED_NUM_MAJEUR 3)
SET(MED_NUM_MINEUR 0)
SET(MED_NUM_RELEASE 5)

SET(MED_NUM_MAJEUR ${MED_NUM_MAJEUR})
SET(MED_NUM_MINEUR ${MED_NUM_MINEUR})
SET(MED_NUM_RELEASE ${MED_NUM_RELEASE})
SET(MED_STR_VERSION "${MED_NUM_MAJEUR}.${MED_NUM_MINEUR}.${MED_NUM_RELEASE}")
SET(LONG_OR_INT int)

ENABLE_TESTING()

SET(PLATFORM_CFLAGS)
IF(WIN32)
  SET(PLATFORM_CFLAGS ${PLATFORM_CFLAGS} /W0)
  SET(PLATFORM_CFLAGS ${PLATFORM_CFLAGS} -D_CRT_SECURE_NO_WARNINGS)  # To disable windows warnings for strcpy, fopen, ...
  SET(PLATFORM_CFLAGS ${PLATFORM_CFLAGS} -D_SCL_SECURE_NO_WARNINGS)  # To disable windows warnings std::copy, std::transform, ...
  SET(PLATFORM_CFLAGS ${PLATFORM_CFLAGS} -DWNT)
  SET(PLATFORM_CFLAGS ${PLATFORM_CFLAGS} -DWIN32)
  SET(PLATFORM_CFLAGS ${PLATFORM_CFLAGS} -D_WIN32_WINNT=0x0500) # Windows 2000 or later API is required
  SET(PLATFORM_CFLAGS ${PLATFORM_CFLAGS} -DPPRO_NT) # For medfile
  set(FORTRAN_STR_ARGS_ORDER /iface:mixed_str_len_arg)
ENDIF(WIN32)
INCLUDE(${CMAKE_SOURCE_DIR}/config/cmake_files/FindMPI.cmake)
INCLUDE(${CMAKE_SOURCE_DIR}/config/cmake_files/FindHDF5.cmake)
INCLUDE(${CMAKE_SOURCE_DIR}/config/cmake_files/medMacros.cmake)

#Creation med_config.h.cmake
SET(f_content_new "")
FILE(READ ${CMAKE_SOURCE_DIR}/include/med_config.h.in f_content)
STRING(REPLACE "\n" ";" list_f_content ${f_content})
FOREACH(ln ${list_f_content})
    STRING(REGEX MATCH "#undef.*" flag_name "${ln}")
    STRING(REPLACE "#undef" "" flag_name "${flag_name}")
    STRING(STRIP "${flag_name}" flag_name)
    STRING(LENGTH "${flag_name}" len)
    IF(${len} GREATER 0)
        STRING(STRIP "${flag_name}" flag_name)
        IF("${flag_name}" MATCHES "^F77_FUNC.*")
           SET(ln "#cmakedefine ${flag_name}@${flag_name}@")
        ELSE("${flag_name}" MATCHES "^F77_FUNC.*")
           SET(ln "#cmakedefine ${flag_name} @${flag_name}@")
        ENDIF("${flag_name}" MATCHES "^F77_FUNC.*")
    ENDIF(${len} GREATER 0)
    SET(f_content_new "${f_content_new}${ln}\n")
ENDFOREACH(ln ${list_f_content})

FILE(WRITE ${CMAKE_BINARY_DIR}/include/med_config.h.cmake "${f_content_new}")
FILE(WRITE ${CMAKE_BINARY_DIR}/include/2.3.6/med_config.h.cmake "${f_content_new}")

MED_CHECK_HEADERS()
MED_CHECK_FUNCTIONS()
MED_CHECK_SIZE()
MED_C_FORTRAN_INTERFACE()
MED_TIME_SYS_TIME()

CONFIGURE_FILE(${CMAKE_BINARY_DIR}/include/med_config.h.cmake ${CMAKE_BINARY_DIR}/include/med_config.h)
CONFIGURE_FILE(${CMAKE_BINARY_DIR}/include/2.3.6/med_config.h.cmake ${CMAKE_BINARY_DIR}/include/2.3.6/med_config.h)

ADD_SUBDIRECTORY(include)
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(tools)
ADD_SUBDIRECTORY(tests)

INSTALL(DIRECTORY doc DESTINATION ${CMAKE_INSTALL_PREFIX})

=== include/CMakeLists.txt ===
ADD_SUBDIRECTORY(2.3.6)

CONFIGURE_FILE(med.h.in ${CMAKE_CURRENT_BINARY_DIR}/med.h @ONLY)
CONFIGURE_FILE(med_utils.h.in ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h @ONLY)
FILE(TO_NATIVE_PATH "${CMAKE_C_COMPILER}" C_COMPILER_FILE)
FILE(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/configmed.py" MY_MED_CONFIG_GENERATOR)
FILE(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/med_config.h" MY_MED_CONFIG_H)
FILE(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/2.3.6/med_config.h" MY_MED_CONFIG_H2)
EXECUTE_PROCESS( COMMAND ${PYTHON_EXECUTABLE} "${MY_MED_CONFIG_GENERATOR}" ${C_COMPILER_FILE} "${MED_NUM_MAJEUR}.${MED_NUM_MINEUR}.${MED_NUM_RELEASE}" "${MY_MED_CONFIG_H}")
EXECUTE_PROCESS( COMMAND ${PYTHON_EXECUTABLE} "${MY_MED_CONFIG_GENERATOR}" ${C_COMPILER_FILE} "${MED_NUM_MAJEUR}.${MED_NUM_MINEUR}.${MED_NUM_RELEASE}" "${MY_MED_CONFIG_H2}")

SET(medC_HEADERS_H
  ${CMAKE_CURRENT_BINARY_DIR}/med.h
  ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h
  med_err.h
  med_exit_if.h
  med_proto.h
  medC_win_dll.h
  MEDerreur.hxx
)

SET(medF_HEADERS_H
  med.hf    
  med.hf77
  med.hf90
  med_parameter.hf
)

INSTALL(FILES ${medC_HEADERS_H} DESTINATION include)
INSTALL(FILES ${medF_HEADERS_H} DESTINATION include)

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
)

SET(ci236_SOURCES
  2.3.6/ci/MEDchampCr.c
  2.3.6/ci/MEDchampEcr.c
  2.3.6/ci/MEDchampInfo.c
  2.3.6/ci/MEDchampRefInfo.c
  2.3.6/ci/MEDconnEcr.c
  2.3.6/ci/MEDconnLire.c
  2.3.6/ci/MEDcoordEcr.c
  2.3.6/ci/MEDcoordLire.c
  2.3.6/ci/MEDdemonter.c
  2.3.6/ci/MEDdimEspaceCr.c
  2.3.6/ci/MEDdimEspaceLire.c
  2.3.6/ci/MEDdimLire.c
  2.3.6/ci/MEDelementsEcr.c
  2.3.6/ci/MEDelementsLire.c
  2.3.6/ci/MEDequivCr.c
  2.3.6/ci/MEDequivEcr.c
  2.3.6/ci/MEDequivInfo.c
  2.3.6/ci/MEDequivLire.c
  2.3.6/ci/MEDfamCr.c
  2.3.6/ci/MEDfamEcr.c
  2.3.6/ci/MEDfamInfo.c
  2.3.6/ci/MEDfamLire.c
  2.3.6/ci/MEDfermer.c
  2.3.6/ci/MEDfichDesEcr.c
  2.3.6/ci/MEDfichEntete.c
  2.3.6/ci/MEDformatConforme.c
  2.3.6/ci/MEDgaussEcr.c
  2.3.6/ci/MEDgaussInfo.c
  2.3.6/ci/MEDgaussLire.c
  2.3.6/ci/MEDgro2famCr.c
  2.3.6/ci/MEDindicesCoordEcr.c
  2.3.6/ci/MEDindicesCoordLire.c
  2.3.6/ci/MEDjointEcr.c
  2.3.6/ci/MEDjointLire.c
  2.3.6/ci/MEDjointCr.c
  2.3.6/ci/MEDjointInfo.c
  2.3.6/ci/MEDjointnCorres.c
  2.3.6/ci/MEDjointTypeCorres.c
  2.3.6/ci/MEDlFichDes.c
  2.3.6/ci/MEDglobalNumEcr.c
  2.3.6/ci/MEDglobalNumLire.c
  2.3.6/ci/MEDlienEcr.c
  2.3.6/ci/MEDlienInfo.c
  2.3.6/ci/MEDlienLire.c
  2.3.6/ci/MEDmaaCr.c
  2.3.6/ci/MEDmaaInfo.c
  2.3.6/ci/MEDmonter.c
  2.3.6/ci/MEDnAttribut.c
  2.3.6/ci/MEDnatureGrilleEcr.c
  2.3.6/ci/MEDnatureGrilleLire.c
  2.3.6/ci/MEDnbnoisEcr.c
  2.3.6/ci/MEDnbnoisLire.c
  2.3.6/ci/MEDnbnomaEcr.c
  2.3.6/ci/MEDnbnomaLire.c
  2.3.6/ci/MEDnbnosoEcr.c
  2.3.6/ci/MEDnbnosoLire.c
  2.3.6/ci/MEDnChamp.c
  2.3.6/ci/MEDnChampRef.c
  2.3.6/ci/MEDnCorres.c
  2.3.6/ci/MEDnEntites.c
  2.3.6/ci/MEDnEntMaa.c
  2.3.6/ci/MEDnEquiv.c
  2.3.6/ci/MEDnFam.c
  2.3.6/ci/MEDnGauss.c
  2.3.6/ci/MEDnGroupe.c
  2.3.6/ci/MEDnJoint.c
  2.3.6/ci/MEDnLien.c
  2.3.6/ci/MEDnMaa.c
  2.3.6/ci/MEDnoeudsEcr.c
  2.3.6/ci/MEDnoeudsLire.c
  2.3.6/ci/MEDnomEcr.c
  2.3.6/ci/MEDnomLire.c
  2.3.6/ci/MEDnPasdetemps.c
  2.3.6/ci/MEDnProfil.c
  2.3.6/ci/MEDnScalaire.c
  2.3.6/ci/MEDnScalairePasdeTemps.c
  2.3.6/ci/MEDnumEcr.c
  2.3.6/ci/MEDnumLire.c
  2.3.6/ci/MEDnVal.c
  2.3.6/ci/MEDnValLien.c
  2.3.6/ci/MEDnValProfil.c
  2.3.6/ci/MEDouvrir.c
  2.3.6/ci/MEDpasdetempsInfo.c
  2.3.6/ci/MEDpolyedreConnEcr.c
  2.3.6/ci/MEDpolyedreConnLire.c
  2.3.6/ci/MEDpolyedreInfo.c
  2.3.6/ci/MEDpolygoneConnEcr.c
  2.3.6/ci/MEDpolygoneConnLire.c
  2.3.6/ci/MEDpolygoneInfo.c
  2.3.6/ci/MEDprofilEcr.c
  2.3.6/ci/MEDprofilInfo.c
  2.3.6/ci/MEDprofilLire.c
  2.3.6/ci/MEDscalaireCr.c
  2.3.6/ci/MEDscalaireEntierEcr.c
  2.3.6/ci/MEDscalaireEntierLire.c
  2.3.6/ci/MEDscalaireFlottantEcr.c
  2.3.6/ci/MEDscalaireFlottantLire.c
  2.3.6/ci/MEDscalaireInfo.c
  2.3.6/ci/MEDscalairePasdetempsInfo.c
  2.3.6/ci/MEDstructureCoordEcr.c
  2.3.6/ci/MEDstructureCoordLire.c
  2.3.6/ci/MEDunvCr.c
  2.3.6/ci/MEDunvLire.c
  2.3.6/ci/MEDversionConforme.c
  2.3.6/ci/MEDversionDonner.c
  2.3.6/ci/MEDversionLire.c
  2.3.6/ci/MEDchampLire.c
  2.3.6/ci/MEDchampEcr231.c
  2.3.6/ci/MEDchampEcr232.c
  2.3.6/ci/MEDjointCr231.c
  2.3.6/ci/MEDjointCr232.c
  2.3.6/ci/MEDfamCr231.c
  2.3.6/ci/MEDfamCr232.c
  2.3.6/ci/MEDchampEcr233.c
  )

SET(ci23v30_SOURCES
  2.3.6/ci/MED23v30axesInfo.c
  )

SET(misc236_SOURCES
  2.3.6/misc/MEDnomEntite.c
  2.3.6/misc/MEDnomGeometrie.c
  2.3.6/misc/MEDnomGeometrie30.c
  2.3.6/misc/MEDnomDataset.c
  2.3.6/misc/MEDparametresGeometrie.c
  2.3.6/misc/MEDGeometrieElement.c
  2.3.6/misc/MEDcheckVersion.c
  2.3.6/misc/MEDversionedApi.cxx
  2.3.6/misc/MEDversionedApiC.c
  )

SET(hdfi236_SOURCES
  2.3.6/hdfi/MEDattrStringEcrire.c
  2.3.6/hdfi/MEDattrNumEcrire.c
  2.3.6/hdfi/MEDdatasetNumEcrire231.c
  2.3.6/hdfi/MEDdatasetNumEcrire232.c
  2.3.6/hdfi/MEDdatasetNumEcrire.c
  2.3.6/hdfi/MEDdatasetNumLire231.c
  2.3.6/hdfi/MEDdatasetNumLire232.c
  2.3.6/hdfi/MEDdatasetNumLire.c
  2.3.6/hdfi/MEDdatasetStringEcrire.c
  2.3.6/hdfi/MEDdatasetStringLire.c
  2.3.6/hdfi/MEDfichierCreer.c
  2.3.6/hdfi/MEDfichierOuvrir.c
  2.3.6/hdfi/MEDindiceInfo.c
  2.3.6/hdfi/MEDindiceNum.c
  2.3.6/hdfi/MEDnObjets.c
  2.3.6/hdfi/MEDobjetIdentifer.c
  )

SET(med236_SOURCES 2.3.6/MEDaffiche.c)

SET(ci_SOURCES
  ci/MEDmeshGeotypeName.c
  ci/MEDmeshGeotypeParameter.c
  ci/MEDmeshNodeCoordinateTrsfWr.c
  ci/MEDmeshNodeCoordinateTrsfRd.c
  ci/MEDfieldInterpInfo.c
  ci/MEDfieldnInterp.c
  ci/MEDfieldInterpWr.c
  ci/MEDinterpCr.c
  ci/MEDinterpBaseFunctionWr.c
  ci/MEDnInterp.c
  ci/MEDinterpInfoByName.c
  ci/MEDinterpInfo.c
  ci/MEDinterpBaseFunctionRd.c
  ci/MEDinterpBaseFunctionCoeffSize.c
  ci/MEDlibraryNumVersion.c
  ci/MEDlibraryStrVersion.c
  ci/MEDlibraryHdfNumVersion.c
  ci/MEDlibraryHdfStrVersion.c
  ci/MEDlibraryClose.c
  ci/MEDfileOpen.c
  ci/MEDfileClose.c
  ci/MEDfileCommentWr.c
  ci/MEDfileCommentRd.c
  ci/MEDfileCompatibility.c
  ci/MEDfileNumVersionRd.c
  ci/MEDfileStrVersionRd.c
  ci/MEDfileObjectsMount.c
  ci/MEDfileObjectsUnmount.c
  ci/MEDnProfile.c
  ci/MEDprofileInfo.c
  ci/MEDprofileWr.c
  ci/MEDprofileSizeByName.c
  ci/MEDprofileRd.c
  ci/MEDfilterEntityCr.c
  ci/MEDfilterBlockOfEntityCr.c
  ci/_MEDfieldValueAdvancedWr30.c
  ci/MEDfieldValueAdvancedWr.c
  ci/MEDfieldValueWithProfileWr.c
  ci/MEDfieldValueWr.c
  ci/_MEDfieldValueAdvancedRd30.c
  ci/_MEDfieldValueAdvancedRd236.c
  ci/MEDfieldValueAdvancedRd.c
  ci/MEDfieldValueWithProfileRd.c
  ci/MEDfieldValueRd.c
  ci/MEDfieldCr.c
  ci/MEDnField.c
  ci/MEDfieldnComponent.c
  ci/MEDfieldnComponentByName.c
  ci/MEDfieldInfo.c
  ci/MEDfieldInfoByName.c
  ci/MEDfieldComputingStepInfo.c
  ci/MEDfieldComputingStepMeshInfo.c
  ci/MEDfieldComputingStepMeshWr.c
  ci/MEDfieldnProfile.c
  ci/_MEDfieldnValue.c
  ci/MEDfieldnValueWithProfileByName.c
  ci/MEDfieldnValueWithProfile.c
  ci/MEDfieldnValue.c
  ci/MEDlocalizationWr.c
  ci/MEDlocalizationRd.c
  ci/MEDnLocalization.c
  ci/MEDlocalizationInfo.c
  ci/MEDlocalizationInfoByName.c
  ci/MEDlinkWr.c
  ci/MEDlinkRd.c
  ci/MEDnLink.c
  ci/MEDlinkInfoByName.c
  ci/MEDlinkInfo.c
  ci/_MEDmeshCr.c
  ci/MEDmeshCr.c
  ci/MEDsupportMeshCr.c
  ci/_MEDmeshInfoByName.c
  ci/MEDmeshInfoByName.c
  ci/MEDsupportMeshInfoByName.c
  ci/MEDmeshInfo.c
  ci/MEDsupportMeshInfo.c
  ci/MEDnMesh.c
  ci/MEDnSupportMesh.c
  ci/MEDsupportMeshnAxis.c
  ci/MEDsupportMeshnAxisByName.c
  ci/MEDmeshGridTypeWr.c
  ci/MEDmeshGridTypeRd.c
  ci/MEDmeshGridIndexCoordinateWr.c
  ci/MEDmeshGridIndexCoordinateRd.c
  ci/MEDmeshGridStructWr.c
  ci/MEDmeshGridStructRd.c
  ci/MEDmeshUniversalNameWr.c
  ci/MEDmeshUniversalNameRd.c
  ci/MEDmeshAttributeWr.c
  ci/MEDmeshAttributeRd.c
  ci/MEDmeshComputationStepCr.c
  ci/MEDmeshComputationStepInfo.c
  ci/MEDmeshComputationStepDtRd.c
  ci/MEDmeshNodeCoordinateWr.c
  ci/MEDmeshNodeCoordinateWithProfileWr.c
  ci/MEDmeshNodeCoordinateAdvancedWr.c
  ci/MEDmeshElementConnectivityAdvancedWr.c
  ci/MEDmeshElementConnectivityWithProfileWr.c
  ci/MEDmeshElementConnectivityWr.c
  ci/MEDmeshNodeCoordinateRd.c
  ci/MEDmeshNodeCoordinateWithProfileRd.c
  ci/MEDmeshNodeCoordinateAdvancedRd.c
  ci/MEDmeshElementConnectivityAdvancedRd.c
  ci/MEDmeshElementConnectivityWithProfileRd.c
  ci/MEDmeshElementConnectivityRd.c
  ci/_MEDmeshnEntity.c
  ci/MEDmeshnEntityWithProfile.c
  ci/MEDmeshnEntity.c
  ci/MEDmeshNodeWr.c
  ci/MEDmeshNodeRd.c
  ci/MEDmeshElementWr.c
  ci/MEDmeshElementRd.c
  ci/MEDfilterAllocate.c
  ci/MEDfilterDeAllocate.c
  ci/MEDfilterClose.c
  ci/_MEDmeshAdvancedWr.c
  ci/_MEDmeshAdvancedRd.c
  ci/MEDmeshEntityNameWr.c
  ci/MEDmeshEntityNumberWr.c
  ci/MEDmeshEntityFamilyNumberWr.c
  ci/MEDmeshEntityNameRd.c
  ci/MEDmeshEntityNumberRd.c
  ci/MEDmeshEntityFamilyNumberRd.c
  ci/MEDmeshnAxis.c
  ci/MEDmeshnAxisByName.c
  ci/MEDmeshPolygonWr.c
  ci/MEDmeshPolygonRd.c
  ci/MEDmeshPolyhedronWr.c
  ci/MEDmeshPolyhedronRd.c
  ci/MEDfamilyCr.c
  ci/MEDnFamily.c
  ci/MEDnFamilyGroup.c
  ci/MEDfamilyInfo.c
  ci/MEDnFamily23Attribute.c
  ci/_MEDnFamily23Attribute236.c
  ci/_MEDnFamily23Attribute30.c
  ci/MEDfamily23Info.c
  ci/_MEDfamily23Info236.c
  ci/_MEDfamily23Info30.c
  ci/_MEDmeshAssociatedGroupCr.c
  ci/MEDmeshSortingTypeRd.c
  ci/MEDnEquivalence.c
  ci/MEDequivalenceCr.c
  ci/MEDequivalenceInfo.c
  ci/MEDequivalenceComputingStepInfo.c
  ci/MEDequivalenceCorrespondenceWr.c
  ci/MEDequivalenceCorrespondenceRd.c
  ci/MEDequivalenceCorrespondenceSizeInfo.c
  ci/MEDequivalenceCorrespondenceSize.c
  ci/MEDsubdomainJointCr.c
  ci/MEDnSubdomainJoint.c
  ci/MEDsubdomainJointInfo.c
  ci/MEDsubdomainCorrespondenceWr.c
  ci/MEDsubdomainComputingStepInfo.c
  ci/MEDsubdomainCorrespondenceSizeInfo.c
  ci/MEDsubdomainCorrespondenceSize.c
  ci/MEDsubdomainCorrespondenceRd.c
  ci/MEDmeshGlobalNumberWr.c
  ci/MEDmeshGlobalNumberRd.c
  ci/MEDstructElementCr.c
  ci/MEDstructElementConstAttWithProfileWr.c
  ci/MEDstructElementConstAttWr.c
  ci/MEDnStructElement.c
  ci/MEDstructElementInfoByName.c
  ci/MEDstructElementInfo.c
  ci/MEDstructElementConstAttInfoByName.c
  ci/MEDstructElementConstAttInfo.c
  ci/MEDstructElementConstAttRd.c
  ci/MEDstructElementAttSizeof.c
  ci/MEDstructElementVarAttCr.c
  ci/MEDstructElementVarAttInfoByName.c
  ci/MEDstructElementVarAttInfo.c
  ci/MEDmeshStructElementVarAttWr.c
  ci/MEDmeshStructElementVarAttRd.c
  ci/MEDstructElementName.c
  ci/MEDstructElementGeotype.c
  ci/_MEDmeshDatagroupOpen.c
  ci/MEDparameterCr.c
  ci/MEDnParameter.c
  ci/MEDparameterInfo.c
  ci/MEDparameterInfoByName.c
  ci/MEDparameterValueWr.c
  ci/MEDparameterValueRd.c
  ci/MEDparameterComputationStepInfo.c
  ci/MEDmeshEntityAttributeAdvancedWr.c
  ci/MEDmeshEntityAttributeAdvancedRd.c
  ci/MEDmeshEntityInfo.c
  ci/_MEDmeshInfoByName30.c
  ci/_MEDmeshnAxisByName30.c
  ci/_MEDmeshUniversalNameRd30.c
  ci/_MEDmeshnEntity30.c
  ci/_MEDmeshInfoByName236.c
  ci/_MEDmeshnAxisByName236.c
  ci/_MEDmeshUniversalNameRd236.c
  ci/_MEDmeshnEntity236.c
  ci/_MEDmeshAdvancedRd30.c
  ci/_MEDmeshAdvancedRd236.c
  ci/_MEDfilterEntityCr30.c
  ci/_MEDfilterEntityCr236.c
  ci/_MEDnFamily30.c
  ci/_MEDnFamily236.c
  ci/_MEDnFamilyGroup30.c
  ci/_MEDnFamilyGroup236.c
  ci/_MEDlinkRd30.c
  ci/_MEDlinkRd236.c
  ci/_MEDfieldComputingStepInfo30.c
  ci/_MEDfieldComputingStepInfo236.c
  ci/_MEDfieldComputingStepMeshInfo30.c
  ci/_MEDfieldComputingStepMeshInfo236.c
  ci/_MEDfieldComputingStepCheck236.c
  ci/_MEDfieldInfoByName30.c
  ci/_MEDfieldInfoByName236.c
  ci/_MEDfieldnProfile30.c
  ci/_MEDfieldnProfile236.c
  ci/_MEDfieldnValue30.c
  ci/_MEDfieldnValue236.c
  ci/_MEDprofileRd30.c
  ci/_MEDprofileRd236.c
  ci/_MEDlocalizationRd30.c
  ci/_MEDlocalizationRd236.c
  ci/_MEDlocalizationInfoByName30.c
  ci/_MEDlocalizationInfoByName236.c
  ci/_MEDnEquivalence30.c
  ci/_MEDnEquivalence236.c
  ci/_MEDequivalenceInfo30.c
  ci/_MEDequivalenceInfo236.c
  ci/_MEDequivalenceCorrespondenceSize30.c
  ci/_MEDequivalenceCorrespondenceSize236.c
  ci/_MEDequivalenceCorrespondenceRd30.c
  ci/_MEDequivalenceCorrespondenceRd236.c
  ci/_MEDequivalenceComputingStepInfo30.c
  ci/_MEDequivalenceComputingStepInfo236.c
  ci/_MEDequivalenceCorrespondenceSizeInfo30.c
  ci/_MEDequivalenceCorrespondenceSizeInfo236.c
  ci/_MEDmeshComputationStepInfo30.c
  ci/_MEDmeshComputationStepInfo236.c
  ci/_MEDmeshGridIndexCoordinateRd30.c
  ci/_MEDmeshGridIndexCoordinateRd236.c
  ci/_MEDnSubdomainJoint30.c
  ci/_MEDnSubdomainJoint236.c
  ci/_MEDsubdomainJointInfo30.c
  ci/_MEDsubdomainJointInfo236.c
  ci/_MEDsubdomainCorrespondenceSize30.c
  ci/_MEDsubdomainCorrespondenceSize236.c
  ci/_MEDsubdomainCorrespondenceRd30.c
  ci/_MEDsubdomainCorrespondenceRd236.c
  ci/_MEDsubdomainComputingStepInfo30.c
  ci/_MEDsubdomainComputingStepInfo236.c
  ci/_MEDsubdomainCorrespondenceSizeInfo30.c
  ci/_MEDsubdomainCorrespondenceSizeInfo236.c
  ci/_MEDparameterInfoByName30.c
  ci/_MEDparameterInfoByName236.c
  ci/_MEDparameterValueRd30.c
  ci/_MEDparameterValueRd236.c
  ci/_MEDfileCommentRd30.c
  ci/_MEDfileCommentRd236.c
  ci/_MEDfileObjectsMount30.c
  ci/_MEDfileObjectsMount236.c
  ci/_MEDfileObjectsUnmount30.c
  ci/_MEDfileObjectsUnmount236.c
  ci/_MEDfield23ComputingStepMeshInfo30.c

=== tests/CMakeLists.txt ===
ADD_SUBDIRECTORY(c)
IF(CMAKE_Fortran_COMPILER_WORKS)
  ADD_SUBDIRECTORY(f)
ENDIF(CMAKE_Fortran_COMPILER_WORKS)

=== tools/CMakeLists.txt ===
ADD_SUBDIRECTORY(medimport)
ADD_SUBDIRECTORY(mdump)
ADD_SUBDIRECTORY(medconforme)

=== include/2.3.6/CMakeLists.txt ===
CONFIGURE_FILE(med.h.in ${CMAKE_CURRENT_BINARY_DIR}/med.h @ONLY)
CONFIGURE_FILE(med23v30.h.in ${CMAKE_CURRENT_BINARY_DIR}/med23v30.h @ONLY)
CONFIGURE_FILE(med_utils.h.in ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h @ONLY)


SET(med236C_HEADERS_H
  MEDerreur.hxx
  medC_win_dll.h
  ${CMAKE_CURRENT_BINARY_DIR}/med_utils.h
  med23v30_proto.h
  ${CMAKE_CURRENT_BINARY_DIR}/med23v30.h
  med_exit_if.h
  ${CMAKE_CURRENT_BINARY_DIR}/med.h
  med_proto.h
)

SET(med236F_HEADERS_H
  med.hf
)

INSTALL(FILES ${med236C_HEADERS_H} DESTINATION include/2.3.6)
INSTALL(FILES ${med236F_HEADERS_H} DESTINATION include/2.3.6)

=== tests/c/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/include
)

SET(testc_SOURCES test1.c test2.c test3.c test4.c test5.c test6.c test7.c test8.c test9.c test10.c test11.c test11b.c test12.c test13.c test14.c test15.c test16.c test17.c test18.c test20.c test21.c test22.c test23.c test24.c test25.c test26.c test27.c test28.c test29.c test30.c test31.c test32.c test33.c)

SET(testc_NOT_AUTO_LAUNCH test13 test15 test30 test31 test32 test33)

FOREACH(testc_SOURCE ${testc_SOURCES})
  GET_FILENAME_COMPONENT(testc_BASE ${testc_SOURCE} NAME_WE)
  LIST(FIND testc_NOT_AUTO_LAUNCH ${testc_BASE} IS_STDALONE_TEST)
  #
  SET(testc_SHARED_BIN "${testc_BASE}c")
  ADD_EXECUTABLE(${testc_SHARED_BIN} ${testc_SOURCE})
  TARGET_LINK_LIBRARIES(${testc_SHARED_BIN} medC)
  SET(tmp_COMPILE_CFLAGS ${PLATFORM_CFLAGS})
  MED_SET_COMPILE_FLAGS(${testc_SHARED_BIN} "${tmp_COMPILE_CFLAGS}")
  SET_TARGET_PROPERTIES(${testc_SHARED_BIN} PROPERTIES OUTPUT_NAME ${testc_BASE})
  GET_TARGET_PROPERTY(TMP ${testc_SHARED_BIN} OUTPUT_NAME)
  INSTALL(TARGETS ${testc_SHARED_BIN} DESTINATION bin/testc)
  IF(${IS_STDALONE_TEST} EQUAL -1)
    ADD_TEST("Test${testc_SHARED_BIN}" ${TMP})
  ENDIF(${IS_STDALONE_TEST} EQUAL -1)
  #
  SET(testc_STATIC_BIN "${testc_BASE}c_static")
  ADD_EXECUTABLE(${testc_STATIC_BIN} ${testc_SOURCE})
  TARGET_LINK_LIBRARIES(${testc_STATIC_BIN} medC_static)
  SET(tmp_COMPILE_CFLAGS ${PLATFORM_CFLAGS} -DMED3_USESTATIC)
  MED_SET_COMPILE_FLAGS(${testc_STATIC_BIN} "${tmp_COMPILE_CFLAGS}")
  SET_TARGET_PROPERTIES(${testc_STATIC_BIN} PROPERTIES OUTPUT_NAME "${testc_BASE}_static")
  GET_TARGET_PROPERTY(TMP ${testc_STATIC_BIN} OUTPUT_NAME)
  INSTALL(TARGETS ${testc_STATIC_BIN} DESTINATION bin/testc)
  #
  IF(${IS_STDALONE_TEST} EQUAL -1)
    ADD_TEST("Test${testc_STATIC_BIN}" ${TMP})
  ENDIF(${IS_STDALONE_TEST} EQUAL -1)
ENDFOREACH(testc_SOURCE ${testsc_BINARIES})

=== tests/f/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/include
)

SET(testf_SOURCES test1.f test2.f test3.f test4.f test5.f90 test6.f test7.f90 test8.f test9.f90 test10.f test11.f90 test11b.f90 test12.f test13.f90 test14.f test15.f90 test16.f test17.f90 test18.f test20.f test21.f test22.f test23.f test24.f test25.f test26.f test27.f test28.f test29.f test30.f90 test31.f test32.f test33.f)

FOREACH(testf_SOURCE ${testf_SOURCES})
  GET_FILENAME_COMPONENT(testf_BASE ${testf_SOURCE} NAME_WE)
  SET(tmp_COMPILE_CFLAGS ${PLATFORM_CFLAGS} ${FORTRAN_STR_ARGS_ORDER})
  #
  SET(testf_SHARED_BIN "${testf_BASE}f")
  ADD_EXECUTABLE(${testf_SHARED_BIN} ${testf_SOURCE})
  TARGET_LINK_LIBRARIES(${testf_SHARED_BIN} med)
  MED_SET_COMPILE_FLAGS(${testf_SHARED_BIN} "${tmp_COMPILE_CFLAGS}")
  SET_TARGET_PROPERTIES(${testf_SHARED_BIN} PROPERTIES OUTPUT_NAME ${testf_BASE})
  GET_TARGET_PROPERTY(TMP ${testf_SHARED_BIN} OUTPUT_NAME)
  INSTALL(TARGETS ${testf_SHARED_BIN} DESTINATION bin/testf)
  ADD_TEST("Test${testf_SHARED_BIN}" ${TMP})
  #
  SET(testf_STATIC_BIN "${testf_BASE}f_static")
  ADD_EXECUTABLE(${testf_STATIC_BIN} ${testf_SOURCE})
  TARGET_LINK_LIBRARIES(${testf_STATIC_BIN} med_static)
  MED_SET_COMPILE_FLAGS(${testf_STATIC_BIN} "${tmp_COMPILE_CFLAGS}")
  SET_TARGET_PROPERTIES(${testf_STATIC_BIN} PROPERTIES OUTPUT_NAME "${testf_BASE}_static")
  GET_TARGET_PROPERTY(TMP ${testf_STATIC_BIN} OUTPUT_NAME)
  INSTALL(TARGETS ${testf_STATIC_BIN} DESTINATION bin/testf)
  ADD_TEST("Test${testf_STATIC_BIN}" ${TMP})
ENDFOREACH(testf_SOURCE ${testsf_BINARIES})

=== tools/mdump/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/include
)

SET(mdump_SOURCES mdump.c MED23meshIterators.c MED23fieldIterators.c)
ADD_EXECUTABLE(mdump ${mdump_SOURCES})
SET(mdump_COMPILE_CFLAGS ${PLATFORM_CFLAGS})
SET(mdump_COMPILE_CFLAGS ${mdump_COMPILE_CFLAGS} -DMED_MESGERR_FOR_TOOLS ${HDF5_DEFINITIONS})
MED_SET_COMPILE_FLAGS(mdump "${mdump_COMPILE_CFLAGS}")
TARGET_LINK_LIBRARIES(mdump medC)
INSTALL(TARGETS mdump DESTINATION bin)

=== tools/medconforme/CMakeLists.txt ===

INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/include
)

SET(medconforme_SOURCES medconforme.c)
ADD_EXECUTABLE(medconforme ${medconforme_SOURCES})
SET(medconforme_COMPILE_CFLAGS ${PLATFORM_CFLAGS})
SET(medconforme_COMPILE_CFLAGS ${medconforme_COMPILE_CFLAGS} -DMED_MESGERR_FOR_TOOLS ${HDF5_DEFINITIONS})
MED_SET_COMPILE_FLAGS(medconforme "${medconforme_COMPILE_CFLAGS}")
TARGET_LINK_LIBRARIES(medconforme medC)
INSTALL(TARGETS medconforme DESTINATION bin)

=== tools/medimport/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${HDF5_INCLUDE_DIRS}
)

SET(medimport21x_SOURCES
  2.1.x/MAJ_21_22_chaine.c
  #2.1.x/MAJ_21_22_noeuds_maillagebuilt.cxx
  2.1.x/MAJ_21_22_maillages.c
  #2.1.x/MAJ_21_22_elements_maillagebuilt.cxx
  2.1.x/MAJ_21_22_profilsbuilt.cxx
  #2.1.x/MAJ_21_22_familles_maillagebuilt.cxx
  2.1.x/MAJ_21_22_chainebuilt.cxx
  2.1.x/MAJ_21_22_localisation_Gaussbuilt.cxx
  2.1.x/MAJ_21_22_elements_maillage.c
  2.1.x/MAJ_21_22_noeuds_maillage.c
  2.1.x/MED21datasetNumLirebuilt.cxx
  2.1.x/MED21attrNumLire.c
  2.1.x/MAJ_21_22_champs.c
  #2.1.x/MAJ_21_22_champsbuilt.cxx
  2.1.x/MAJ_21_22_profils.c
  2.1.x/MED21datasetNumLire.c
  2.1.x/MAJ_21_22_familles_maillage.c
  2.1.x/MED21attrNumLirebuilt.cxx
  2.1.x/MAJ_21_22_localisation_Gauss.c
  #2.1.x/MAJ_21_22_maillagesbuilt.cxx
)

SET(medimport231_SOURCES
  2.3.1/MED231datasetNumEcrire.c
  2.3.1/MED231champLireEtUnlink.c
  2.3.1/MAJ_231_232_maillagesbuilt.cxx
  2.3.1/MAJ_231_232_chaine.c
  2.3.1/MED231datasetNumEcrirebuilt.cxx
  2.3.1/MED231champNormaliserbuilt.cxx
  2.3.1/MAJ_231_232_chainebuilt.cxx
  2.3.1/MED231champLireEtUnlinkbuilt.cxx
  2.3.1/MAJ_231_232_champs.c
  2.3.1/MAJ_231_232_champsbuilt.cxx
  2.3.1/MED231datasetNumLire.c
  2.3.1/MAJ_231_232_maillages.c
  2.3.1/MED231champRefInfoEtRenMaa.c
  2.3.1/MED231champInfoEtRen.c
  2.3.1/MED231champInfoEtRenbuilt.cxx
  2.3.1/MED231datasetNumLirebuilt.cxx
  2.3.1/MED231champNormaliser.c
  2.3.1/MED231champRefInfoEtRenMaabuilt.cxx
)

SET(medimport236_SOURCES
  2.3.6/MED30linkWrbuilt.cxx
  2.3.6/MAJ_236_300_chainebuilt.cxx
  2.3.6/_MEDconvertStringDatasets.c
  2.3.6/MAJ_236_300_string_datasets.c
  2.3.6/MAJ_236_300_champs.c
  2.3.6/MAJ_236_300_fieldOnEntity.c
  2.3.6/MAJ_236_300_equivalence.c
  #2.3.6/MAJ_236_300_entitesbuilt.cxx
  2.3.6/MAJ_236_300_mesh_datasets.c
  2.3.6/MAJ_236_300_maillages.c
  2.3.6/MAJ_236_300_joint.c
  2.3.6/MED30linkWr.c
  #2.3.6/MAJ_236_300_equivalencebuilt.cxx
  #2.3.6/MAJ_236_300_jointbuilt.cxx
  #2.3.6/MAJ_236_300_maillagesbuilt.cxx
  #2.3.6/MAJ_236_300_fieldOnEntitybuilt.cxx
  #2.3.6/MAJ_236_300_champsbuilt.cxx
  2.3.6/MAJ_236_300_entites.c
  #2.3.6/MAJ_236_300_string_datasetsbuilt.cxx
  #2.3.6/_MEDconvertStringDatasetsbuilt.cxx
  #2.3.6/MAJ_236_300_mesh_datasetsbuilt.cxx
  2.3.6/MAJ_236_300_chaine.c
)

SET(medimporttop_SOURCES
  libmedimport.c
  MAJ_version.c
)

SET_SOURCE_FILES_PROPERTIES(${medimport21x_SOURCES} PROPERTIES COMPILE_FLAGS "-I${CMAKE_CURRENT_SOURCE_DIR}/include ${HDF5_DEFINITIONS} -I${CMAKE_BINARY_DIR}/include/2.3.6 -I${CMAKE_SOURCE_DIR}/include/2.3.6 -I${CMAKE_CURRENT_SOURCE_DIR}/include -DMED_API_23")
SET_SOURCE_FILES_PROPERTIES(${medimport231_SOURCES} PROPERTIES COMPILE_FLAGS "${HDF5_DEFINITIONS} -I${CMAKE_BINARY_DIR}/include/2.3.6 -I${CMAKE_SOURCE_DIR}/include/2.3.6 -I${CMAKE_CURRENT_SOURCE_DIR}/include -DMED_API_23")
SET_SOURCE_FILES_PROPERTIES(${medimport236_SOURCES} PROPERTIES COMPILE_FLAGS "${HDF5_DEFINITIONS} -I${CMAKE_BINARY_DIR}/include -I${CMAKE_SOURCE_DIR}/include -I${CMAKE_CURRENT_SOURCE_DIR}/include")
SET_SOURCE_FILES_PROPERTIES(${medimporttop_SOURCES} PROPERTIES COMPILE_FLAGS "${HDF5_DEFINITIONS} -I${CMAKE_BINARY_DIR}/include -I${CMAKE_SOURCE_DIR}/include -I${CMAKE_CURRENT_SOURCE_DIR}/include")
SET_SOURCE_FILES_PROPERTIES(medimportcxx.cxx PROPERTIES COMPILE_FLAGS "${HDF5_DEFINITIONS} -I${CMAKE_CURRENT_SOURCE_DIR}/include")

SET(medimport_SOURCES
  ${medimport21x_SOURCES}
  ${medimporttop_SOURCES}
  ${medimport231_SOURCES}
  ${medimport236_SOURCES}
)

ADD_LIBRARY(medimportengine SHARED ${medimport_SOURCES})
TARGET_LINK_LIBRARIES(medimportengine medC)
SET(medimportengine_COMPILE_CFLAGS ${PLATFORM_CFLAGS})
SET(medimportengine_COMPILE_CFLAGS ${medimportengine_COMPILE_CFLAGS} -DMED_MESGERR_FOR_TOOLS ${HDF5_DEFINITIONS})
MED_SET_COMPILE_FLAGS(medimportengine "${medimportengine_COMPILE_CFLAGS}")
SET_TARGET_PROPERTIES(medimportengine PROPERTIES OUTPUT_NAME medimport)


ADD_EXECUTABLE(medimport medimportcxx.cxx)
SET(medimport_COMPILE_CFLAGS ${PLATFORM_CFLAGS})
SET(medimport_COMPILE_CFLAGS ${medimport_COMPILE_CFLAGS} -DMED_MESGERR_FOR_TOOLS ${HDF5_DEFINITIONS})
MED_SET_COMPILE_FLAGS(medimport "${medimport_COMPILE_CFLAGS}")
TARGET_LINK_LIBRARIES(medimport medimportengine)

INSTALL(TARGETS medimport DESTINATION bin )
INSTALL(TARGETS medimportengine DESTINATION lib)
INSTALL(FILES include/medimport_win_dll.h include/MEDimport.h include/MEDimport.hxx include/medimportcxx_win_dll.h DESTINATION include)

=== debian/changelog ===
med-fichier (3.0.6-9build1) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:22:32 +0000

med-fichier (3.0.6-9) unstable; urgency=medium

  * [b5c67e0] Fix wrong dependency on libmedc1.
  * [454f9a2] Remove all Conflicts.
  * [bdf5c53] Do not hardcode tk-version.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Sep 2015 19:54:27 +0200

med-fichier (3.0.6-8) unstable; urgency=medium

  * [8e33e7d] Set Standards-Version: 3.9.6. No changes.
  * [289a3b7] Renambe libmed*-libraries due to GCC-5 transition.
              (Closes: #791200)
  * [713e703] Apply cme fix dpkg-control.
  * [6a08e88] Update autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Aug 2015 19:34:51 +0200

med-fichier (3.0.6-7) unstable; urgency=medium

  * [0548f1d] Set minimal hdf5 version 1.8.13+docs-12.

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Sep 2014 18:32:24 +0200

med-fichier (3.0.6-6) unstable; urgency=medium

  [ Arthur Marble ]
  * [ff1dec0] Fix FTBFS with clang. (Closes: #751174)

  [ Anton Gladky ]
  * [f9f364c] Fix autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Sep 2014 21:39:55 +0200

med-fichier (3.0.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756678).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 17:56:12 +0200

med-fichier (3.0.6-5) unstable; urgency=medium

  * [e70adff] Fix autotests.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2014 10:38:10 +0200

med-fichier (3.0.6-4) unstable; urgency=medium

  * [11910a4] Update autotest.
  * [9b7e17a] Add 2 more autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 May 2014 16:16:55 +0200

med-fichier (3.0.6-3) unstable; urgency=medium

  [ Christophe Trophime ]
  * [e027393] Replace obsolete OMPI_MCA_plm_rsh_agent
  * [b328c8a] Fix running tests with openmpi 1.6.4

  [ Adam Conrad ]
  * [2f90c13] debian/patches/ppc64el-support.patch: Add ppc64el support.

  [ Anton Gladky ]
  * [1d6038c] Bump Standards-Versison: 3.9.5. No changes.
  * [92bb6fb] Use autoreconf. (Closes: #744629)
  * [62adfe2] Fix hdf5 linkage.
  * [149c48e] Do not break package building if autotest fails.
  * [56c09dd] Add autotest.
  * [9b4cd20] Ignore quilt dir.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Apr 2014 21:23:35 +0200

med-fichier (3.0.6-2) unstable; urgency=low

  * [a8dd404] Use autotools_dev for dh-rules. (Closes: #727456)
  * [4ff1a89] Disable autotests on some archs.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Oct 2013 17:53:41 +0200

med-fichier (3.0.6-1) unstable; urgency=low

  [ Sergei Golovan ]
  * [1d72885] Switch from tk8.4 to tk dependencies. (Closes: #725337)

  [ Anton Gladky ]
  * [07b1279] Imported Upstream version 3.0.6. (Closes: #659960)
  * [f6142f8] Remove all old patches.
  * [540f803] Use cmake for build.
  * [e55a11a] Add mpi-default-dev and mpi-default-bin to BD.
  * [ab59d3e] Add a workaround to start MPI-applications in chroot.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Oct 2013 20:38:21 +0200

med-fichier (3.0.3-5) unstable; urgency=low

  * [42214bd] Disable tests on some platforms.

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Oct 2013 07:52:00 +0200

med-fichier (3.0.3-4) unstable; urgency=low

  * [ef4dc10] Remove README.source.
  * [fa31282] Use compat-level 9.
  * [d6e4193] Remove obsolete DM-Upload-Allowed flag.
  * [e4d4401] Use canonical VCS-field.
  * [a67e7b0] Bumped Standards-Version 3.9.4. No changes.
  * [c46fe2d] Update/simpify debian/rules.
  * [ae2ab2d] Disable failing tests.
  * [2238f3f] Set multiarched paths in libraries.
  * [133b58b] Use autoreconf.
  * [ff9144a] Add myself to uploaders.
  * [084ec48] Add multi-arch sections in debian/control
  * [b8ea3be] Use DEP-5 for copyright file.
  * [24f5fb0] Use wrap-and-source.

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Oct 2013 19:45:49 +0200

=== debian/control ===
Source: med-fichier
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               gfortran,
               hdf5-tools (>= 1.8.13+docs-12),
               libhdf5-mpi-dev (>= 1.8.13+docs-12),
               mpi-default-dev,
               mpi-default-bin,
               libtool,
               tk
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/med-fichier.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/med-fichier.git
Homepage: http://www.code-aster.org/outils/med/

Package: libmed-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmed1v5 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Development files for libmed
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.

Package: libmed-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for the MED-fichier library
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package provides the documentation for the MED-fichier library
 (in French).

Package: libmed-tools
Architecture: any
Multi-Arch: foreign
Section: science
Depends: tk,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Runtime tools to handle MED files
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains runtime tools for med-fichier:
  - mdump: a tool to dump MED files
  - xmdump: graphical version of mdump.
  - medconforme: a tool to validate a MED file
  - medimport: a tool to convert a MED v2.1 or v2.2 file into a MED v2.3
    file

Package: libmed1v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libmed-doc,
          libmed-tools
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmed1
Replaces: libmed1
Description: Library to exchange meshed data (Fortran version)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the MED-fichier runtime library (Fortran version).

Package: libmedc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libhdf5-mpi-dev,
         libmedc1v5 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Development files for libmedc
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the header files and static library needed to
 compile applications that use libmedC.

Package: libmedc1v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libmed-doc,
          libmed-tools
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmedc1
Replaces: libmedc1
Description: Library to exchange meshed data (C version)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the MED-fichier runtime library (C version).

Package: libmedimport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmedc-dev,
         libmedimport0v5 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libmedimportcxx-dev
Description: Development files for libmedimport0
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the header files and static library needed to
 compile applications that use libmedimport, including C++ applications.

Package: libmedimport0v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: libmedc1v5,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libmed-doc,
          libmed-tools
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmedimport0
Replaces: libmedimport0
Description: Library to import old version files
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the library able to import old version files (C
 version).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@  --parallel --with autoreconf

# Which MPI implementation?
# set ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)/libhdf5.so),)
  HDF5_CPPFLAGS := -I/usr/include/hdf5/$(ARCH_DEFAULT_MPI_IMPL) -DOMPI_SKIP_MPICXX=1 -DMPICH_SKIP_MPICXX=1
  HDF5_LDFLAGS := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)
endif

export OMPI_MCA_orte_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/$(ARCH_DEFAULT_MPI_IMPL) $(HDF5_CPPFLAGS)
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed $(HDF5_LDFLAGS)

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/tmp/usr/bin/test* \
         $(CURDIR)/debian/tmp/usr/bin/usescases \
         $(CURDIR)/debian/tmp/usr/bin/unittests

override_dh_auto_test:
	dh_auto_test || true
